Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class HealthCheck

    java.lang.Object
      com.amazonaws.services.elasticloadbalancing.model.HealthCheck

    public class HealthCheck

extends Object

Health Check

Constructor Summary
`HealthCheck()`

Method Summary
`Integer` | `getHealthyThreshold()` Returns the value of the HealthyThreshold property for this object.
`Integer` | `getInterval()` Returns the value of the Interval property for this object.
`String` | `getTarget()` Returns the value of the Target property for this object.
`Integer` | `getTimeout()` Returns the value of the Timeout property for this object.
`Integer` | `getUnhealthyThreshold()` Returns the value of the UnhealthyThreshold property for this object.
`void` | `setHealthyThreshold(Integer healthyThreshold)` Sets the value of the HealthyThreshold property for this object.
`void` | `setInterval(Integer interval)` Sets the value of the Interval property for this object.
`void` | `setTarget(String target)` Sets the value of the Target property for this object.
`void` | `setTimeout(Integer timeout)` Sets the value of the Timeout property for this object.
`void` | `setUnhealthyThreshold(Integer unhealthyThreshold)` Sets the value of the UnhealthyThreshold property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`HealthCheck` | `withHealthyThreshold(Integer healthyThreshold)` Sets the value of the HealthyThreshold property for this object.
`HealthCheck` | `withInterval(Integer interval)` Sets the value of the Interval property for this object.
`HealthCheck` | `withTarget(String target)` Sets the value of the Target property for this object.
`HealthCheck` | `withTimeout(Integer timeout)` Sets the value of the Timeout property for this object.
`HealthCheck` | `withUnhealthyThreshold(Integer unhealthyThreshold)` Sets the value of the UnhealthyThreshold property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HealthCheck

    public HealthCheck()

Method Detail

### getTarget

    public String getTarget()

  Returns the value of the Target property for this object.

  Returns:
    The value of the Target property for this object.

### setTarget

    public void setTarget(String target)

  Sets the value of the Target property for this object.

  Parameters:
    `target` - The new value for the Target property for this object.

### withTarget

    public HealthCheck withTarget(String target)

  Sets the value of the Target property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `target` - The new value for the Target property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInterval

    public Integer getInterval()

  Returns the value of the Interval property for this object.

  Constraints:
  Range: 1 - 300

  Returns:
    The value of the Interval property for this object.

### setInterval

    public void setInterval(Integer interval)

  Sets the value of the Interval property for this object.

  Constraints:
  Range: 1 - 300

  Parameters:
    `interval` - The new value for the Interval property for this object.

### withInterval

    public HealthCheck withInterval(Integer interval)

  Sets the value of the Interval property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Range: 1 - 300

  Parameters:
    `interval` - The new value for the Interval property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getTimeout

    public Integer getTimeout()

  Returns the value of the Timeout property for this object.

  Constraints:
  Range: 1 - 300

  Returns:
    The value of the Timeout property for this object.

### setTimeout

    public void setTimeout(Integer timeout)

  Sets the value of the Timeout property for this object.

  Constraints:
  Range: 1 - 300

  Parameters:
    `timeout` - The new value for the Timeout property for this object.

### withTimeout

    public HealthCheck withTimeout(Integer timeout)

  Sets the value of the Timeout property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Range: 1 - 300

  Parameters:
    `timeout` - The new value for the Timeout property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUnhealthyThreshold

    public Integer getUnhealthyThreshold()

  Returns the value of the UnhealthyThreshold property for this object.

  Constraints:
  Range: 2 - 10

  Returns:
    The value of the UnhealthyThreshold property for this object.

### setUnhealthyThreshold

    public void setUnhealthyThreshold(Integer unhealthyThreshold)

  Sets the value of the UnhealthyThreshold property for this object.

  Constraints:
  Range: 2 - 10

  Parameters:
    `unhealthyThreshold` - The new value for the UnhealthyThreshold property for this object.

### withUnhealthyThreshold

    public HealthCheck withUnhealthyThreshold(Integer unhealthyThreshold)

  Sets the value of the UnhealthyThreshold property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Range: 2 - 10

  Parameters:
    `unhealthyThreshold` - The new value for the UnhealthyThreshold property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getHealthyThreshold

    public Integer getHealthyThreshold()

  Returns the value of the HealthyThreshold property for this object.

  Constraints:
  Range: 2 - 10

  Returns:
    The value of the HealthyThreshold property for this object.

### setHealthyThreshold

    public void setHealthyThreshold(Integer healthyThreshold)

  Sets the value of the HealthyThreshold property for this object.

  Constraints:
  Range: 2 - 10

  Parameters:
    `healthyThreshold` - The new value for the HealthyThreshold property for this object.

### withHealthyThreshold

    public HealthCheck withHealthyThreshold(Integer healthyThreshold)

  Sets the value of the HealthyThreshold property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Range: 2 - 10

  Parameters:
    `healthyThreshold` - The new value for the HealthyThreshold property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.